<?xml version="1.0" encoding="UTF-8"?>
<con:xsltEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
    <con:description>Map the request message for the proxy service RequestAppointmentForPatient to the request message for PatientAppointmentService Business Service</con:description>
    <con:xslt><![CDATA[<xsl:stylesheet version="1.0"
                xmlns:ap="http://stmatthews.hospital.com/patient/AppointmentProcess"
                xmlns:app="com.stmatthews.hospital/public/appointments"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                exclude-result-prefixes="xsi xsl app xsd ap">
  <xsl:template match="/">
    <ap:AppointmentServiceProcessRequest>
      <ap:appointmentRequestHeader>
        <ap:doctorId>
          <xsl:value-of select="app:PatientAppointmentRequest/app:GPRegistrationNumber"/>
        </ap:doctorId>
        <ap:typeOfAppointment>
          <xsl:value-of select="app:PatientAppointmentRequest/app:TypeOfAppointment"/>
        </ap:typeOfAppointment>
        <ap:labTestsToRun>
          <xsl:value-of select="app:PatientAppointmentRequest/app:LabTestsToRun"/>
        </ap:labTestsToRun>
      </ap:appointmentRequestHeader>
      <ap:patientDetails>
        <ap:firstGivenName>
          <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:firstGivenName"/>
        </ap:firstGivenName>
        <ap:lastName>
          <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:lastName"/>
        </ap:lastName>
        <ap:gender>
          <xsl:value-of select="substring(app:PatientAppointmentRequest/app:patientDetails/app:gender,1.0,1.0)"/>
        </ap:gender>
        <ap:contactDetails>
          <ap:address>
            <xsl:value-of select="concat(app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:street,' ',app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:housenumber)"/>
          </ap:address>
          <ap:city>
            <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:city"/>
          </ap:city>
          <ap:zipCode>
            <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:zipCode"/>
          </ap:zipCode>
          <ap:state>
            <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:state"/>
          </ap:state>
          <ap:emailAddresses>
            <ap:emailAddress>
              <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:emailAddress"/>
            </ap:emailAddress>
          </ap:emailAddresses>
          <ap:phoneNumbers>
            <ap:phoneNumber>
              <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:contactDetails/app:phoneNumber"/>
            </ap:phoneNumber>
          </ap:phoneNumbers>
        </ap:contactDetails>
        <ap:dateOfBirth>
          <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:dateOfBirth"/>
        </ap:dateOfBirth>
        <ap:insuranceData>
          <ap:policyId>
            <xsl:value-of select="app:PatientAppointmentRequest/app:patientDetails/app:insurancePolicy"/>
          </ap:policyId>
        </ap:insuranceData>
      </ap:patientDetails>
      <ap:diagnosis>
        <xsl:value-of select="app:PatientAppointmentRequest/app:InitialDiagnosisAndFindings"/>
      </ap:diagnosis>
    </ap:AppointmentServiceProcessRequest>
  </xsl:template>
</xsl:stylesheet>]]></con:xslt>
</con:xsltEntry>