package com.stmatthews.hospital.appointments;

import com.stmatthews.hospital.appointments.TYPES.AppointmentServiceProcessResponse;
import com.stmatthews.hospital.appointments.TYPES.AppointmentStatusRequest;
import com.stmatthews.hospital.appointments.TYPES.AppointmentStatusResponse;

import com.stmatthews.hospital.appointments.TYPES.ObjectFactory;

import com.stmatthews.hospital.appointments.TYPES.PlannedScheduleType;

import com.sun.org.apache.xerces.internal.jaxp.datatype.XMLGregorianCalendarImpl;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.ws.Action;

@XmlSeeAlso( { ObjectFactory.class })
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT, parameterStyle = SOAPBinding.ParameterStyle.BARE)
@WebService(name = "PatientAppointmentService", serviceName = "PatientAppointmentService_ep", targetNamespace = "http://stmatthews.hospital.com/patient/AppointmentProcess", portName = "PatientAppointmentService_pt")
public class PatientAppointmentServiceImpl {
  public PatientAppointmentServiceImpl() {
  }

  @SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
  @Action(input = "getAppointmentStatus", output = "http://stmatthews.hospital.com/patient/AppointmentProcess/PatientAppointmentService/getAppointmentStatusResponse")
  @WebMethod(action = "getAppointmentStatus")
  @WebResult(name = "AppointmentStatusResponse", targetNamespace = "http://stmatthews.hospital.com/patient/AppointmentProcess", partName = "payload")
  public AppointmentStatusResponse getAppointmentStatus(@WebParam(name = "AppointmentStatusRequest", partName = "payload", targetNamespace = "http://stmatthews.hospital.com/patient/AppointmentProcess")
    AppointmentStatusRequest payload) {
    String appointmentIdentifier = payload.getAppointmentIdentifier();
    AppointmentStatusResponse response = new AppointmentStatusResponse();
    PlannedScheduleType schedule = new PlannedScheduleType();
    schedule.setDescription("This appointment will last for about 35 minutes - note: a brief customer satisfaction survey will be part of the consult.");
    schedule.setDoctor("Dr. Maria Kerr");
    schedule.setRoom("1.2 West 35");
    XMLGregorianCalendar appointmentTime = new XMLGregorianCalendarImpl();
    appointmentTime.setYear(2010);
    appointmentTime.setMonth(11);
    appointmentTime.setDay(24);
    appointmentTime.setHour(9);
    appointmentTime.setMinute(25);
    appointmentTime.setSecond(0);
    schedule.setAppointmentDateTime(appointmentTime);
    response.setPlannedSchedule(schedule);
    System.out.println("Process request for status of appointment "+appointmentIdentifier);
    return response;
  }
}
